image: geerlingguy/drupal-vm

stages:
  - test
  - deploy

variables:
  APP_NAME: myproject
  COMPOSER_BIN: $CI_PROJECT_DIR/vendor/bin
  BLT_DIR: $CI_PROJECT_DIR/vendor/acquia/blt
  BUILD_DIR: $CI_PROJECT_DIR
  TRAVIS_BRANCH: develop

before_script:
  - php --version
  - ls /etc/ansible/drupal-vm
  - ls /etc/ansible/drupal-vm/local.config.yml
  - ls /usr/local/bin
  - ansible-playbook /etc/ansible/drupal-vm/provisioning/playbook.yml
  - wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -
  - echo "deb http://dl.google.com/linux/chrome/deb/ stable main" > /etc/apt/sources.list.d/google.list
  - apt-get update -yqq && apt-get install -o Dpkg::Options::="--force-confold" -y php7.1-bz2 libxml2-dev libssl-dev libz-dev libbz2-dev libmcrypt-dev pkg-config bison openssl re2c libxss1 libappindicator1 libindicator7
  - apt-get autoremove
  - echo "192.168.89.89   localhost" | sudo tee -a /etc/hosts
  - composer self-update
  - composer validate --no-check-all --ansi
  - composer install

test_merge_requests:
  stage: test
  script:
    - source ${BUILD_DIR}/blt/ci/setup_environment
    - source ${BUILD_DIR}/blt/ci/run_tests
  environment:
    name: test_artifact
    url: https://myproject8dev.prod.acquia-sites.com
  only:
    - merge_requests
    - pushes

develop:
  stage: deploy
  script:
    - source ${BUILD_DIR}/blt/ci/setup_environment
    - "${BLT_DIR}/scripts/travis/deploy_branch"
    - echo "Launching develop artifact"
  environment:
    name: develop_artifact
    url: http://dev.ggoyal.co.in/
  only:
    - develop

staging:
  stage: deploy
  script:
    - source ${BUILD_DIR}/blt/ci/setup_environment
    - "${BUILD_DIR}/blt/ci/deploy_branch"
    - echo "Launching develop artifact"
  environment:
    name: staging_artifact
    url: http://stage.ggoyal.co.in/
  only:
    - staging
    - /^release.*$/

production:
  stage: deploy
  script:
    - source ${BUILD_DIR}/blt/ci/setup_environment
    - "${BUILD_DIR}/blt/ci/deploy_tag"
    - echo "Launching develop artifact"
  environment:
    name: production_artifact
    url: http://ggoyal.co.in/
  only:
    - tags
